[SCM] Samba Shared Repository - branch master updated

Andrew Tridgell tridge at samba.org
Thu May 6 07:27:48 MDT 2010


The branch, master has been updated
       via  e0f602f... s4-devel: auto-delete any leftover IPs
       via  9ba08c2... s4-devel: a useful script for giving DRS replication demos
      from  c61f4dc... build: added a reconfigure target

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit e0f602f2c9252e4df81814fc8aa22641620f381b
Author: Andrew Tridgell <tridge at samba.org>
Date:   Thu May 6 15:23:07 2010 +0200

    s4-devel: auto-delete any leftover IPs
    
    remove IP from a previous vampire_ad.sh run

commit 9ba08c22e807b8b3e744dc3146dbca4083e3e2f4
Author: Andrew Tridgell <tridge at samba.org>
Date:   Thu May 6 15:22:11 2010 +0200

    s4-devel: a useful script for giving DRS replication demos

-----------------------------------------------------------------------

Summary of changes:
 source4/scripting/devel/drs/vampire_ad.sh |    8 ++++++++
 source4/scripting/devel/watch_servers.sh  |   14 ++++++++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)
 create mode 100644 source4/scripting/devel/watch_servers.sh


Changeset truncated at 500 lines:

diff --git a/source4/scripting/devel/drs/vampire_ad.sh b/source4/scripting/devel/drs/vampire_ad.sh
index 28f3c5a..3b943a1 100755
--- a/source4/scripting/devel/drs/vampire_ad.sh
+++ b/source4/scripting/devel/drs/vampire_ad.sh
@@ -13,6 +13,14 @@ mv -f $namedtmp $PREFIX/private/named.conf
 sudo rndc reconfig
 `dirname $0`/unvampire_ad.sh
 
+cat <<EOF > nsupdate.txt
+update delete $DNSDOMAIN A $machine_ip
+show
+send
+EOF
+echo "$pass" | kinit administrator
+nsupdate -g nsupdate.txt
+
 REALM="$(echo $DNSDOMAIN | tr '[a-z]' '[A-Z]')"
 
 sudo $GDB bin/net vampire $DNSDOMAIN -Uadministrator%$pass -s $PREFIX/etc/smb.conf --option=realm=$REALM --option="ads:dc function level=4" --option="ads:min function level=0" -d2 "$@" || exit 1
diff --git a/source4/scripting/devel/watch_servers.sh b/source4/scripting/devel/watch_servers.sh
new file mode 100644
index 0000000..48209cb
--- /dev/null
+++ b/source4/scripting/devel/watch_servers.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+[ $# -ge 3 ] || {
+    echo "Usage: watch_servers.sh DB1 DB2 PASSWORD SEARCH <attrs>"
+    exit 1
+}
+
+host1="$1"
+host2="$2"
+password="$3"
+search="$4"
+shift 4
+
+watch -n1 "echo '$host1:'; bin/ldbsearch -S -H $host1 -Uadministrator%$password '$search' description $* | egrep -v '^ref|Ref|returned|entries|referrals' | uniq; echo; echo '$host2:'; bin/ldbsearch -S -H $host2 -Uadministrator%$password '$search' description $* | egrep -v '^ref|Ref|returned|entries|referrals' | uniq;"


-- 
Samba Shared Repository


More information about the samba-cvs mailing list